About prompt fields

A prompt field is a special, user defined field in a report design that displays in the Report Print Selection window when you select the report for printing. Prompt fields allow the operator to respond to a question, enter values, mark boxes, or select a value from a list.

For example, you can put a date prompt field at the top of a report to require the operator to enter the date of the report.

Prompt fields can be used in a report design as report fields and in conditions and formulas. Required prompt fields must be completed by the operator at print time.

Prompt fields appear at the top of the Report Print Selection window. Use Report Designer to add, change, or remove prompt fields.

See the Report Designer Help for instructions.

About the interface with Report Designer

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


About the interface with Report Designer

Use Report Designer to create, modify, copy, and delete report designs. Also, use Report Designer to set up security on individual designs to limit access to reports.

About prompt fields

Printing reports

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Adding report names to the Reports menu

  1. From the Reports menu, select Reports Manager.
  2. Select the desired application.
  3. Click [New].
  4. In the Report name box, enter the name of the report as you want it to appear on the Reports menu.
  5. To assign this report to a menu group, enter a menu group name in the Menu group field. With your cursor in the Menu group field, click [List] to browse to and select an existing menu group.
  6. Click in the File name field and click [List] to browse to and select the source file.
  7. Change shortcut keys or toolbar text for the report.

Tips:

  • Type the full pathname of the report design in File name; for example, C:\PROGRAM FILES\TIMBERLINE OFFICE\ACCOUNTING\REPORT \AP OPEN INVOICES.RPT, or click [List] and browse to the report design.
  • If you do not enter a pathname to a report design in the File name field, but have specified a path in File > Company Settings > File locations > Reports, the software will look to the File locations path to find the report. If the report is not at the File locations path, the software will attempt to retrieve the report from the Sage Timberline Office\Reports folder.
  • If you do not enter a pathname to the report design in the File name field, and have not specified a path in File > Company Settings > File locations > Reports, the software will look to the current data folder to find the report. If the report is not in the current data folder, the software will attempt to retrieve the report from the Sage Timberline Office\Reports folder.

Arranging report names on the Reports menu

Changing report names on the Reports menu

Deleting report names on the Reports menu

Changing report options

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Arranging report names on the Reports menu

Overview

The Arrange Reports Menu window displays the list of report names as they appear on the Report Manager window. The system uses this list to generate the report menus that display for each application when you select the Reports menu. The group names display once on the report group menu in the order in which the system encounters them on the list.

To change the order in which the reports are listed on the menu, you need only rearrange them on the list. It is not necessary to keep the report names for a group clustered together on the list. The system searches the entire list when a menu is displayed. However, grouping report names on the list can make reading the list easier for you.

  1. From the Reports menu, select Reports Manager.
  2. Select the desired application.
  3. Click [Arrange].
  4. Select the desired report name.
  5. Click [Move up] or [Move down] to move the report up and down in the list.

Adding report names to the Reports menu

Changing report names on the Reports menu

Deleting report names on the Reports menu

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Assigning menu groups to reports

Overview

Menu groups (or sub-menus) allow you to group like reports together. Using menu groups can help you quickly locate reports when you need them. For example, you could assign a menu group called AP Reconciliation Reports to all of the reports you use to reconcile your accounts payable. When you select the AP Reconciliation Reports menu group from the Reports menu, the reports you assigned to this menu group are listed.

  1. From the Reports menu, select Reports Manager.
  2. Select the desired application.
  3. Select the desired report and click [Change].
  4. Accept the prefill or enter a different menu group name. You can also click [List] to select an existing menu group.

Adding report names to the Reports menu

Arranging report names on the Reports menu

Changing report names on the Reports menu

Deleting report names on the Reports menu

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing report names on the Reports menu

  1. From the Reports menu, select Reports Manager.
  2. Select the desired application.
  3. Select the desired report and click [Change].
  4. Accept the prefill or enter a different report name as you want it to appear on the Reports menu.
  5. Accept the prefill or enter a different menu group name. You can also click [List] to select an existing menu group.
  6. Select the source file.
  7. Change shortcut keys or toolbar text for the report.

Tips:

  • Type the full pathname of the report design in File name; for example, C:\PROGRAM FILES\TIMBERLINE OFFICE\ACCOUNTING\REPORT \AP OPEN INVOICES.RPT, or click [List] and browse to the report design.
  • If you do not enter a pathname to a report design in the File name field, but have specified a path in File > Company Settings > File locations > Reports, the software will look to the File locations path to find the report. If the report is not at the File locations path, the software will attempt to retrieve the report from the Sage Timberline Office\Reports folder.
  • If you do not enter a pathname to the report design in the File name field, and have not specified a path in File > Company Settings > File locations > Reports, the software will look to the current data folder to find the report. If the report is not in the current data folder, the software will attempt to retrieve the report from the Sage Timberline Office\Reports folder.

Arranging report names on the Reports menu

Adding report names to the Reports menu

Deleting report names on the Reports menu

Changing report options

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting report names on the Reports menu

  1. From the Reports menu, select Reports Manager.
  2. Select the desired application.
  3. Select the desired report.
  4. Click [Delete]. A message window displays to confirm that you want to delete the selected report name. Click [Yes] to delete it from the Reports menu. Click [No] to keep it.

Adding report names to the Reports menu

Arranging report names on the Reports menu

Changing report names on the Reports menu

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing reports

  1. From the Reports menu, select the desired report.
  2. If the Data File Selection window opens, select the desired file type (master, invoice, etc.).
  3. If using named files, select the desired file.
  4. Complete the required prompt fields, such as Report date displayed at the top of the window.
  5. Make other print selections such as needed.

    6. For example, to print only a select range of reports or include only data meeting pre-defined criteria, click [Ranges] or [Conditions] respectively.

  6. Click [Start] to begin processing and printing the report.

About prompt fields

Printing from a print selection window

Printing to Excel files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing to Excel files

You can print a report directly to an Excel file.

  1. Select the desired report from the Reports menu.

  2. If the Data File Selection window opens, select the desired file type (master, invoice, and so forth).

    3. If using named files, select the desired file.

  3. In the Print Selection window, complete the required prompt fields, such as the Report date displayed at the top of the window.
  4. Click [Printer Setup].
  5. In the Printer Setup window, select the Print to file check box.
  6. Click [Select File].
  7. In the Print File Selection window, select Microsoft Office Excel Workbook from the Save As type list.

  8. Type a file name and click [Save].

  9. In the Printer Setup window, click [OK].

  10. Click [Start] in the Print Selection window to process and save the report as an Excel file.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reports Manager window

Use this window to initiate various report menu tasks using the buttons on the right hand side. This window functions like a hub, providing a central window from which report tasks can be performed. For example, you might want to delete an item from the reports menu or just modify it, or you might want to change the order in which an item appears on the menu.

Alternatively, if you want to limit the range or scope of reports you print, select a specific report from the Reports menu to open the Report Print Selection window and click [Ranges] or [Conditions] to select the report criteria.

Note: Use Report Designer or Crystal Reports to modify the layout of a report. Refer to the Report Designer Help or the Crystal Reports in-product Help for more information.

Report Print Selection window

Items In This Window

Report name

Displays both the menu group, if one is assigned, and the report name as displayed on the Reports menu.

The menu group always precedes the report name and is separated from the report name by a hyphen. For example:

Registers - Earnings Register

Registers - Tax Register

Both report list entries indicate the Earnings Register and Tax Register reports are found on the Reports menu under the Registers group.

[New]

Opens the New Report window to add reports to the Reports menu.

[Change]

Opens the Change Report window to change the name, menu group, and source of reports on the Reports menu.

[Delete]

Deletes report names from the Reports menu.

[Arrange]

Open the Arrange Reports Menu window to change the order of report names as they appear on the Reports menu.

[Print]

Opens the print hub where you can select print options (such as Portrait or Landscape orientation) and generate reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Arrange Reports Menu window

Use to change the order of report names as they appear on the Reports menu.

Arranging report names on the Reports menu

Items In This Window

Report name

Displays report names of the selected application by menu group. Click [Move up] or [Move down] to change their order on the Reports menu.

[Move up]

Moves the report up in the list.

[Move down]

Moves the report down in the list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


New Report window

Use to add reports to the Reports menu.

Adding report names to the Reports menu

Items In This Window

Report name

Enter the name of the report (up to 30 characters) as you want it to appear on the Reports menu.

Menu group

To assign this report to a menu group, enter a menu group name. You can also click [List] to select an existing menu group.

Source

Select the source of the report:

  • TS report design—The source is a report design created in Report Designer (TR). TR report design file names end in .rpt. For example: PM Lease Abstract.rpt.
  • Crystal report design—The source is a report design created in Crystal Reports. Crystal report file names end in (CR).rpt. For example: PM Lease Abstract (CR).rpt.
  • Special—The source has more than one report design, is a hard-coded report, or is not a report design.
  • Several different report designs can exist for a single report. For example, there are two report designs for the AP Check Register: the AP Check Register(AP).rpt and the AP Check Register(CM).rpt. The system determines the correct report based on installed applications and post and interface settings.
  • GL Current Ledger and Year-to-date Ledger are hard-coded reports created for General Ledger.
  • Statements are created in Financial Statement Designer and statement file names end in .fsd. A special interface is used to list and run financial statements from the GL report menu.

File name

Accept the prefill or enter a different report design to use to print the report. You can also click [List] to select a report design from the List Report Designs window. This field is available for TS report design and Crystal report design sources only.

Special name

Select the name of the special report source to use to print the report. This item is available only when Special is selected as the Source.

  • Several different report designs can exist for a single report. For example, there are two report designs for the AP Check Register: the AP Check Register(AP).rpt and the AP Check Register(CM).rpt. The system will determine the correct report based on installed applications and post and interface settings.
  • GL Current Ledger and Year-to-date Ledger are hard-coded reports created for General Ledger.
  • Statements are created in Financial Statement Designer and statement file names end in .fsd. A special interface is used to list and run financial statements from the GL report menu.

[List]

Displays a list you can select from for the current item in this window.

[Options]

Opens the Report Options window to change shortcut keys or toolbar text for reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Menu groups window

Use to assign reports to menu groups.

Item In This Window

Menu groups list

Select the menu group you want to assign to the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Data File Selection window

Use to select the file type for each record included in the report design. You can specify more than one file for unnamed files for each record. This window opens only when file type information is needed to process and print the report.

Printing reports

Items In This Window

Record

If more than one record is listed, select the record type to use when printing the report. This window lists all records that share the same file type, though you can select only one record.

For example, you want to print the Daily Distribution record in Payroll and the Daily Distribution record data can be found in both the PR Transactions (New) and PR Transactions (Current) files. If the Payroll Check record also has data in the PR Transactions (New) or PR Transactions (Current) files, it is also listed in the Record list.

This window list only records that can be found in more than one file type.

Note: Use Report Designer or Crystal Reports to create, modify, copy, and delete report designs. Also, use Report Designer to set up security on individual designs to limit access to reports.

File

Select the file type to use for the highlighted record when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Report Print Selection window

Use to specify print options before printing a report. If required prompt fields have been set up for this report, they will display in the upper portion of this window along with the Report date field. Report date prefills with the system date, but you can change it as needed.

The Printer Information area displays the current printer and page setup information.

About prompt fields

Printing reports

Printing to Excel files

Items In This Window

[Printer Setup]

Opens the Printer Setup window to modify printer options (such as page orientation) before printing. [Printer Setup] displays with asterisks if printer options are changed.

[Page Setup]

Opens the Page Setup window to modify page options before printing. [Page Setup] displays with asterisks if page options are changed.

[Ranges]

Opens a Ranges window to specify a range of records and possibly sub-records to access during processing. [Ranges] displays with asterisks if ranges are specified.

[Conditions]

Opens the Add Condition window if no conditions are specified, or opens the Condition Selection window if conditions are specified. [Conditions] displays with asterisks if conditions are specified.

[Start]

Begins processing, which includes printing according your print selections.

[Print Preview]

Opens the Print Preview window to view the pages before printing.

[Send]

Sends the report and any attachments to printer, fax, or e-mail address.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Report window

Use to change the name, menu group, and source of reports on the Reports menu.

Note: Use Report Designer or Crystal Reports to modify the layout of a report.

Changing report names on the Reports menu

Items In This Window

Report name

Accept the prefill or enter a different report name as you want it to appear on the Reports menu.

Menu group

Accept the prefill or enter a different menu group name. You can also click [List] to select an existing menu group.

Source

Select the source of the report:

  • TS report design—The source is a report design created in Report Designer (TR). TR report design file names end in .rpt. For example: PM Lease Abstract.rpt.
  • Crystal report design—The source is a report design created in Crystal Reports. Crystal report file names provided with Sage 300 Construction and Real Estate end in (CR).rpt. For example: PM Lease Abstract (CR).rpt.
  • Special—The source has more than one report design, is a hard-coded report, or is not a report design.
  • Several different report designs can exist for a single report. For example, there are two report designs for the AP Check Register: the AP Check Register(AP).rpt and the AP Check Register(CM).rpt. The system determines the correct report based on installed applications and post and interface settings.
  • GL Current Ledger and Year-to-date Ledger are hard-coded reports created for General Ledger.
  • Statements are created in Financial Statement Designer and statement file names end in .fsd. A special interface is used to list and run financial statements from the GL report menu.

File name

Accept the prefill or enter a different report design to use to print the report. You can click [List] to select a report design from the List Report Designs window. This field is available for TS report design and Crystal report design sources only.

Special name

Select the name of the special report source to use to print the report. This item is available only when Special is selected as the Source.

  • Several different report designs can exist for a single report. For example, there are two report designs for the AP Check Register: the AP Check Register(AP).rpt and the AP Check Register(CM).rpt. The system will determine the correct report based on installed applications and post and interface settings.
  • GL Current Ledger and Year-to-date Ledger are hard-coded reports created for General Ledger.
  • Statements are created in Financial Statement Designer and statement file names end in .fsd. A special interface is used to list and run financial statements from the GL report menu.

[List]

Displays a list you can select from for the current item in this window.

[Options]

Opens the Report Options window to change shortcut keys or toolbar text for reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Report Options window

Use to change the shortcut (access) keys or toolbar text for reports on the Reports menu.

Items In This Window

Report name

Accept the prefill or enter a different letter from the report name to act as its shortcut key from the Reports menu.

Menu group

Accept the prefill or enter a different letter from the menu group name to act as its shortcut key from the Reports menu.

Tool Bar Text

Accept the prefill or enter a different name (up to eight characters) to identify the report on toolbar icons. Use the Toolbar tab (Customize window) to add icons to the toolbar.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing report options

  1. From the New Report or Change Report window, click [Options].
  2. Accept the prefill or enter a different letter from the report name to act as its shortcut key from the Reports menu.
  3. Accept the prefill or enter a different letter from the menu group name to act as its shortcut key from the Reports menu.
  4. Accept the prefill or enter a different name to identify the report on toolbar icons.

Tip: You can also click underneath the letter in the report name or menu group name to select it as the shortcut key.

Adding report names to the Reports menu

Arranging report names on the Reports menu

Deleting report names on the Reports menu

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Report Manager Help version

Reports Manager Help

RptMgr.chm version 12.1.0

April 11, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reports (Reports menu)

Use to print this application's reports. The reports that display are either supplied with Sage 300 Construction and Real Estate or created with Report Designer.

Reports Window

About prompt fields

Printing reports

Adding report names to the Reports menu

Arranging report names on the Reports menu

Changing report names on the Reports menu

Changing report options

About the interface with Report Designer

Items In This Window

Reports

Use to print this application's reports. The reports that display are either supplied with Sage 300 Construction and Real Estate or created with Report Designer. See Printing a report for detailed instructions.

Repeat Last Report - My Reports

Click here to repeat the last report used from this list or click the down arrow to display this application's reports which are supplied with Sage 300 Construction and Real Estate or created with Report Designer. See Printing a report for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reports Manager (Reports menu)

Use to modify the Reports menu. You can add, delete, or change report names, change shortcut (access) keys, change menu groups, or rearrange the order in which the report names appear on the menu.

Reports Manager windows

Adding report names to the Reports menu

Arranging report names on the Reports menu

Changing report names on the Reports menu

Deleting report names on the Reports menu

Changing report options

About the interface with Report Designer

Item In This Window

Reports Manager

Use to modify the Reports menu. Refer to Changing report names on the Reports menu for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reports Manager windows

Arrange Reports Menu

Change Report

Menu groups

New Report

Reports Manager

Report Options

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reports windows

Data File Selection

Report Print Selection

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Source files

When you add or a change a report name, type the full pathname in to the File name field or click [List] and browse to the source file of the report design. Source files can be the following:

  • TS report design—The source is a report design created in Report Designer (TR). TR report design file names end in .rpt. For example: PM Lease Abstract.rpt.
  • Crystal report design—The source is a report design created in Crystal Reports. Crystal report file names provided with Sage 300 Construction and Real Estate end in (CR).rpt. For example: PM Lease Abstract (CR).rpt.
  • Special—The source has more than one report design, is a hard-coded report, or is not a report design.
  • Several different report designs can exist for a single report. For example, there are two report designs for the AP Check Register: the AP Check Register(AP).rpt and the AP Check Register(CM).rpt. The system determines the correct report based on installed applications and post and interface settings.

In the above example, if Accounts Payable (AP) interfaces with Cash Management (CM), the system will select the AP Check Register (CM).rpt. If CM is not installed or not interfacing with AP, the system will select the AP Check Register (AP).rpt.

  • GL Current Ledger and Year-to-date Ledger are hard-coded reports created for General Ledger.
  • Statements are created in Financial Statement Designer and statement file names end in .fsd. A special interface is used to list and run financial statements from the GL report menu.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.